%global momorel 1
%global md5sum_src0 8f0ef0939cc8edd2efd896ce5ba80cf4

Summary: notification library for python 
Name: notify-python
Version: 0.1.1
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/ 
%NoSource 0 http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: pygtk2-devel >= 2.10.3-2m
BuildPreReq: libnotify-devel >= 0.4.3
BuildPreReq: glib2-devel
BuildPrereq: python

%description
notification library for python

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       glib2-devel >= 2.12.1

%description devel
This package contains pkg-config file for development of programs
using %{name}.

%prep
%setup -q

%build

%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/python?.?/site-packages/gtk-2.0/pynotify
%{_datadir}/pygtk/2.0/defs/pynotify.defs

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/notify-python.pc

%changelog
* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.1-1m)
- update to 0.1.1

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.0-2m)
- rebuild against python-2.5

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.0-1m)
- initila build
